commit:     7e5ffa0ca09c8aed950a2e45b35df960440da40d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  2 09:01:15 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec  2 09:20:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e5ffa0c

dev-python/jsonpatch: Bump to 1.28

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jsonpatch/Manifest              |  1 +
 dev-python/jsonpatch/jsonpatch-1.28.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-python/jsonpatch/Manifest b/dev-python/jsonpatch/Manifest
index 5c277f2b291..436f4168cc3 100644
--- a/dev-python/jsonpatch/Manifest
+++ b/dev-python/jsonpatch/Manifest
@@ -1,2 +1,3 @@
 DIST jsonpatch-1.26.tar.gz 24440 BLAKE2B 
345831bd9a9fc1902d0959685ed2dbbc0bf04d191bbc78567d27283e9ae52f7e22f50e9f400461300d1c3388712afa51d4d6a2ddd0a06dbc0a1b576b02bfe807
 SHA512 
1ab25c8e091cd0b772062a8c448fee4772081d8bd715489b2f7a76e4c0bdff8b26dd38b26c3037cf9bdf8780b97e62a20b6a5bdc43f43af16fdae51d1291bf52
 DIST jsonpatch-1.27.tar.gz 26599 BLAKE2B 
b3481b4dd01d4fc6c2ad129141fb2b72d53d04744da54c1e4c989b2869113c15862d1ec5c84390758ad495ac36a9156f0e7b730ad091f96f6cb42fe96dde7fcd
 SHA512 
297ca02d114e6b199bd516f69dca147fbe309f0a1b031046859271720645322607236f97b489c242575f7e1ad3cab0c68b1b7f11894c5af82be24013e376c0a4
+DIST jsonpatch-1.28.tar.gz 26829 BLAKE2B 
1dee89500be23c49e5d7fdcaacb05da7ea089b691e133c5187c9558d378ae3714ad7fc6f164d0b7eea7b3cf1afefa39b7748a4637b0456051fab086e0e8f15d0
 SHA512 
2884cb95307cb607c8cd80e688491b4449f953e43e5b232d4d57d7249c590652ecae0856806ade6bf2807a04180e992fd2cdf61590ac058d573d653382bf7a28

diff --git a/dev-python/jsonpatch/jsonpatch-1.28.ebuild 
b/dev-python/jsonpatch/jsonpatch-1.28.ebuild
new file mode 100644
index 00000000000..7b86861b301
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.28.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Apply JSON-Patches like 
http://tools.ietf.org/html/draft-pbryan-json-patch-04";
+HOMEPAGE="https://github.com/stefankoegl/python-json-patch";
+SRC_URI="https://github.com/stefankoegl/python-json-patch/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/python-json-patch-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? ( ${RDEPEND} )
+"
+
+python_test() {
+       "${EPYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+       "${EPYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with 
${EPYTHON}"
+}

Reply via email to